MultiFileUploader Plugin - Defect #600

Browser freezes when adding files in WebClient developer
12/10/2012 04:08 PM - Graham Greensall

Status: Closed Start date: 12/10/2012
Priority: High Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Browser (if web Firefox & Chrome

client):

Description

In Developer - the Plugin is uploading the files OK and my Servoy app is creating the new records but then the browser hangs and |
can't select any buttons etc., - usually have to close the Browser and restart. If | have a Desktop client open | can see the new
records being created fine - and they are visible when the Browser is restarted.

History

#1 - 12/12/2012 08:02 PM - Patrick Talbot

| see this happens in OS X Mountain Lion. Unfortunately, | don't have it.
| will need to install it on an external drive and give it a go.

#2 - 12/13/2012 12:13 PM - Graham Greensall
OK have switched Dev to Win 7 + Java 1.6.0_31.

This has resolved the screen freezing after File upload. Tested 20+ times with single and multiple files and always worked perfectly.

Still have situation that if | do not specify a Path then the File object is not uploaded - system just passes the Filename so cannot extract Bytes/Size
etc. Hope folloowing clues are useful...

plugins.MultiFileUploader.callMultiUpload(filesReceived, "uploads", {height:500,width:800......

Sample outputs of vFile from the 'filesReceived' function:
var vFile = plugins.file.convertTodSFile(files[i]);

1) C:\\Servoy_61_crs3\\developen\uploads\\in\a\\sub\\About Stacks.pdf
2) Coverbox_TomG.pdf

3) Desert.jpg

4) C:\\Servoy_61_crs3\\developer\\uploads\\uploads\\Koala.jpg

5) C:\\Servoy_61_crs3\\developer\\uploads\\uploads\\Tulips.jpg

1) had "..filesReceived, "in/a/sub", {height.."

2) was "..filesReceived, null, {height.."

3) was empty "..filesReceived, {height.."

4) and 5) are part of 10 file upload with "..filesReceived, "uploads", {height.."

#3 - 12/13/2012 01:39 PM - Patrick Talbot

Yes, this will definitely help. Thanks for the extended report!

#4 - 01/03/2013 10:30 PM - Patrick Talbot

- Status changed from New to Closed

Fixed inv1.0.4
